# Config file for rc_dynamics_api
#
# It defines the following variables:
#
# RC_DYNAMICS_API_INCLUDE_DIRS     - include directory
# RC_DYNAMICS_API_LIBRARIES        - all dynamic libraries
# RC_DYNAMICS_API_STATIC_LIBRARIES - all static libraries

get_filename_component(PROJECT_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

set(RC_DYNAMICS_API_INCLUDE_DIRS "${PROJECT_CMAKE_DIR}/../../include")

set(RC_DYNAMICS_API_STATIC_LIBRARIES )
set(RC_DYNAMICS_API_LIBRARIES rc_dynamics_api)

# include the targets if this file exists
include("${PROJECT_CMAKE_DIR}/RC_DYNAMICS_APITargets.cmake" OPTIONAL)

# If this library's header files include header files of your dependencies
# (e.g. Eigen) then you need to include them here as well (the same way you
# included them in your main CMakeLists.txt) and add them to this library's
# include dirs:
#

find_package(Protobuf REQUIRED)
list(APPEND RC_DYNAMICS_API_INCLUDE_DIRS ${PROTOBUF_INCLUDE_DIRS})
list(APPEND RC_DYNAMICS_API_LIBRARIES ${PROTOBUF_LIBRARIES})
